org.apache.tomcat.websocket

## Class SendHandlerToCompletionHandler

- java.lang.Object
- - org.apache.tomcat.websocket.SendHandlerToCompletionHandler

All Implemented Interfaces:
  CompletionHandler<Long,Void>

    public class SendHandlerToCompletionHandler
    extends Object
    implements CompletionHandler<Long,Void>

### Constructor Summary

Constructors
Constructor and Description
`SendHandlerToCompletionHandler(SendHandler handler)`

### Method Summary

Methods
`void` `completed(Long result, Void attachment)`
`void` `failed(Throwable exc, Void attachment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendHandlerToCompletionHandler

    public SendHandlerToCompletionHandler(SendHandler handler)

### Method Detail

#### completed

    public void completed(Long result,
                 Void attachment)

Specified by:
  `completed` in interface `CompletionHandler<Long,Void>`

#### failed

    public void failed(Throwable exc,
              Void attachment)

Specified by:
  `failed` in interface `CompletionHandler<Long,Void>`